How to get old Gospel library 4 for iPod Touch 5th gen?

Discussions around the iPhone/iPad/iPod Touch versions of the Gospel Library application.
giuce76
New Member
Posts: 4
Joined: Sat Sep 08, 2018 1:28 pm

How to get old Gospel library 4 for iPod Touch 5th gen?

Postby giuce76 » Sat Sep 08, 2018 1:33 pm

My son bought a used iPod Touch 5th gen. The latest iOS that it can run is version 9. We tried to install the Gospel Library from the App Store and it said that iOS 10 is required. How can we get the previous version of Gospel Library 4 to install on his iPod Touch? Thank You

User avatar
sbradshaw
Senior Member
Posts: 3862
Joined: Mon Sep 26, 2011 8:42 pm
Location: Provo, UT
Contact:

Re: How to get old Gospel library 4 for iPod Touch 5th gen?

Postby sbradshaw » Thu Sep 13, 2018 9:40 am

The App Store should allow you to download the latest compatible version for your device. Make sure your device is updated to the latest version of iOS 9 (9.3.5) under iOS Settings.

On my iOS 9.3.5 iPad, when I tap the download button on the App Store, it gives me a popup that says "Download old version of app? The current version requires iOS 10.0 or later, but you can download the last compatible version." When I click Download, version 4.4 of Gospel Library downloads and installs. Screenshot attached below.
Attachments
IMG_0066.PNG
(246.54 KiB) Not downloaded yet
Samuel Bradshaw • If you desire to serve God, you are called to the work.

giuce76
New Member
Posts: 4
Joined: Sat Sep 08, 2018 1:28 pm

Re: How to get old Gospel library 4 for iPod Touch 5th gen?

Postby giuce76 » Thu Sep 13, 2018 11:34 am

Thank you for the reply. I do have iOS 9.3.5 installed on my iPod Touch 5th Gen. When I tried to install the Gospel Library app, I did not get the option to "Download the latest compatible version". I have seen that message (attached image) before and used it to install other apps. The only message I got was, " The app requires iOS 10.0". Do you know why I did not get the option to download the older version?
Thanks again.

User avatar
sbradshaw
Senior Member
Posts: 3862
Joined: Mon Sep 26, 2011 8:42 pm
Location: Provo, UT
Contact:

Re: How to get old Gospel library 4 for iPod Touch 5th gen?

Postby sbradshaw » Thu Sep 13, 2018 12:22 pm

According to this page, the last compatible version of an app can only be downloaded if you've installed the app in the past using your Apple ID.
https://apple.stackexchange.com/questions/254172/how-can-i-make-allow-users-with-older-versions-of-ios-to-download-an-older-versi

Have you installed Gospel Library in the past? Are you currently signed into the App Store with the same Apple ID you've used in the past?
Samuel Bradshaw • If you desire to serve God, you are called to the work.

giuce76
New Member
Posts: 4
Joined: Sat Sep 08, 2018 1:28 pm

Re: How to get old Gospel library 4 for iPod Touch 5th gen?

Postby giuce76 » Thu Sep 13, 2018 1:08 pm

I have used Gospel Library for years now under my Apple ID. My son who was trying to install it on his iPod created a new Apple ID to use on his iPod. His Apple ID has never downloaded Gospel Library before. Does that mean that he cannot use Gospel Library on his iPod?

User avatar
sbradshaw
Senior Member
Posts: 3862
Joined: Mon Sep 26, 2011 8:42 pm
Location: Provo, UT
Contact:

Re: How to get old Gospel library 4 for iPod Touch 5th gen?

Postby sbradshaw » Thu Sep 13, 2018 2:47 pm

Yes, but there may be a workaround. All he has to do is install the app (on any device) using his Apple ID. Then it will become available as a "previously downloaded" app for his account. So, you could try having him temporarily sign into the App Store on your device (or any device that can run iOS 10 or greater), install Gospel Library, then remove Gospel Library, and sign out of the App Store. Then, he can find the app on his own device. I've never tried this, so I can't guarantee it will work, but I expect it would.
Samuel Bradshaw • If you desire to serve God, you are called to the work.

giuce76
New Member
Posts: 4
Joined: Sat Sep 08, 2018 1:28 pm

Re: How to get old Gospel library 4 for iPod Touch 5th gen?

Postby giuce76 » Thu Sep 13, 2018 2:49 pm

Okay, thanks for your help! We will try it.


Return to “iPhone/iPad Gospel Library”

Who is online

Users browsing this forum: No registered users and 0 guests